variable int acceptXOffset = -70
variable int acceptYOffset = 276

function main(string method = "?", string destination)
{
	if ${method.Equals[?]}
	{
		echo usage: runscript MapNav [Fly|Portal|Bell] [destination] (no brackets - use quotes for destination)
		return
	}
	call ${method} "${destination}"
}

;Takes x and y as parameters, measures as pixels in relation to the center of your eq2 window
function OptionAt(int x, int y)
{
	wait 30
	Mouse:SetPosition[${Math.Calc[${Display.Width}*.5+${x}]},${Math.Calc[${Display.Height}*.5+${y}]}]
	wait 1
	Mouse:LeftClick
	wait 20
	Mouse:SetPosition[${Math.Calc[${Display.Width}*.5+${acceptXOffset}]},${Math.Calc[${Display.Height}*.5+${acceptYOffset}]}]
	wait 1
	Mouse:LeftClick
}

function Fly(string dest)
{
	echo ${Zone.Name} -> ${dest}
	if ${dest.Equals["The Sundered Frontier"]}
	{
		call OptionAt -10 194
	}
	elseif ${dest.Equals["The Stonebrunt Highlands"]}
	{
		call OptionAt 0 -80
	}
}

function Bell(string dest)
{
	echo ${Zone.Name} -> ${dest}
	if ${dest.Equals["Antonica"]}
	{
		call OptionAt -160 -80
	}
	elseif ${dest.Equals["Lavastorm"]}
	{
		call OptionAt 50 -215
	}
	elseif ${dest.Equals["Everfrost"]}
	{
		call OptionAt -193 -228
	}
	elseif ${dest.Equals["Frostfang Sea"]} || ${dest.Equals["Frostfang"]}
	{
		call OptionAt -247 -182
	}
	elseif ${dest.Equals["Zek, the Orcish Wastes"]} || ${dest.Find[Zek](exists}
	{
		call OptionAt -163 -146
	}
	elseif ${dest.Equals["Far Seas Distillery"]}
	{
		call OptionAt -49 -130
	}
	elseif ${dest.Equals["The Enchanted Lands"]}
	{
		call OptionAt 73 -142
	}
	elseif ${dest.Equals["Butcherblock Mountains"]} || ${dest.Equals["Butcherblock"]}
	{
		call OptionAt 192 -119
	}
	elseif ${dest.Equals["Greater Faydark"]} || ${dest.Equals["GFay"]}
	{
		call OptionAt 307 -94
	}
	elseif ${dest.Equals["Tranquil Sea"]}
	{
		call OptionAt -50 -82
	}
	elseif ${dest.Equals["Phantom Sea"]}
	{
		call OptionAt -47 -112
	}
	elseif ${dest.Equals["Neriak, City of Hate"]} || ${dest.Find["Neriak"](exists)}
	{
		call OptionAt 104 -46
	}
	elseif ${dest.Equals["The Thundering Steppes"]}
	{
		call OptionAt -137 -24
	}
	elseif ${dest.Equals["Nektulos Forest"]} || ${dest.Equals["Nektulos"]}
	{
		call OptionAt 53 -4
	}
	elseif ${dest.Equals["Freeport"]}
	{
		call OptionAt 170 9
	}
	elseif ${dest.Equals["The Commonlands"]} || ${dest.Equals["Commonlands"]}
	{
		call OptionAt 116 34
	}
	elseif ${dest.Equals["The Feerrott"]}
	{
		call OptionAt -141 31
	}
	elseif ${dest.Equals["The Sinking Sands"]} || ${dest.Equals["Sinking Sands"]}
	{
		call OptionAt -29 67
	}
	elseif ${dest.Equals["Isle of Mara"]} || ${dest.Equals["Mara"]}
	{
		call OptionAt -197 85
	}
	elseif ${dest.Equals["Moors of Ykesha"]}
	{
		call OptionAt -127 135
	}
	elseif ${dest.Equals["The Great Divide"]}
	{
		call OptionAt -246 151
	}
	elseif ${dest.Equals["Jarsath Wastes"]}
	{
		call OptionAt 142 171
	}
	elseif ${dest.Equals["Timorous Deep"]}
	{
		call OptionAt 315 97
	}
	elseif ${dest.Equals["Qeynos"]}
	{
		call OptionAt -216 -94
	}
	elseif ${dest.Equals["Fens of Nathsar"]}
	{
		call OptionAt 291 153
	}
	elseif ${dest.Equals["Kylong Plains"]}
	{
		call OptionAt 234 219
	}
	elseif ${dest.Equals["Cobalt Scar"]}
	{
		call OptionAt -283 206
	}
}

function Portal(string dest)
{
	echo ${Zone.Name} -> ${dest}
	if ${dest.Equals["Tenebrous Tangle"]}
	{
		call OptionAt 350 -185
	}
	elseif ${dest.Equals["The Bonemire"]}
	{
		call OptionAt 349 -250
	}
	elseif ${dest.Equals["The Barren Sky"]}
	{
		call OptionAt 264 -225
	}
	elseif ${dest.Equals["The Sundered Frontier"]} || ${dest.Equals["Sundered Frontier"]}
	{
		call OptionAt -330 12
	}
	elseif ${dest.Equals["The Stonebrunt Highlands"]} || ${dest.Equals["Stonebrunt Highlands"]}
	{
		call OptionAt -316 -75
	}
	elseif ${dest.Equals["Lavastorm"]}
	{
		call OptionAt 50 -215
	}
	elseif ${dest.Equals["Antonica"]}
	{
		call OptionAt -160 -80
	}
	elseif ${dest.Equals["Obol Plains"]}
	{
		call OptionAt -337 -258
	}
	elseif ${dest.Equals["Vesspyr Isles"]}
	{
		call OptionAt -340 -244
	}
	elseif ${dest.Equals["Everfrost"]}
	{
		call OptionAt -193 -228
	}
	elseif ${dest.Equals["Zek, the Orcish Wastes"]} || ${dest.Find["Zek"](exists)}
	{
		call OptionAt -163 -146
	}
	elseif ${dest.Equals["The Enchanted Lands"]}
	{
		call OptionAt 73 -142
	}
	elseif ${dest.Equals["Greater Faydark"]} || ${dest.Equals["GFay"]}
	{
		call OptionAt 307 -94
	}
	elseif ${dest.Equals["Loping Plains"]}
	{
		call OptionAt 270 -66
	}
	elseif ${dest.Equals["The Thundering Steppes"]}
	{
		call OptionAt -137 -24
	}
	elseif ${dest.Equals["Nektulos Forest"]} || ${dest.Equals["Nektulos"]}
	{
		call OptionAt 53 -4
	}
	elseif ${dest.Equals["The Commonlands"]} || ${dest.Equals["Commonlands"]}
	{
		call OptionAt 116 34
	}
	elseif ${dest.Equals["The Feerrott"]}
	{
		call OptionAt -141 31
	}
	elseif ${dest.Equals["Moors of Ykesha"]}
	{
		call OptionAt -127 135
	}
	elseif ${dest.Equals["Kylong Plains"]}
	{
		call OptionAt 234 219
	}
	elseif ${dest.Equals["Eastern Wastes"]}
	{
		call OptionAt -241 176
	}
	elseif ${dest.Equals["Cobalt Scar"]}
	{
		call OptionAt -296 204
	}
	elseif ${dest.Equals["Steamfont"]} || ${dest.Equals["Steamfront"]}
	{
		call OptionAt 325 -44
	}
	elseif ${dest.Equals["The Great Divide"]}
	{
		call OptionAt -246 151
	}
	elseif ${dest.Equals["Jarsath Wastes"]}
	{
		call OptionAt 142 171
	}
	elseif ${dest.Equals["Butcherblock Mountains"]} || ${dest.Equals["Butcherblock"]}
	{
		call OptionAt 192 -119
	}
	elseif ${dest.Equals["Darklight Wood"]}
	{
		call OptionAt 99 -23
	}
}